org.apache.cassandra.cql3.statements

## Class UpdateStatement.ParsedInsert

- java.lang.Object
- - org.apache.cassandra.cql3.statements.ParsedStatement
  - - org.apache.cassandra.cql3.statements.CFStatement
    - - org.apache.cassandra.cql3.statements.ModificationStatement.Parsed
      - - org.apache.cassandra.cql3.statements.UpdateStatement.ParsedInsert

Enclosing class:
  UpdateStatement

    public static class UpdateStatement.ParsedInsert
    extends ModificationStatement.Parsed

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.cassandra.cql3.statements.ParsedStatement

`ParsedStatement.Prepared`

### Field Summary

### Fields inherited from class org.apache.cassandra.cql3.statements.ModificationStatement.Parsed

`type`

### Fields inherited from class org.apache.cassandra.cql3.statements.CFStatement

`cfName`

### Constructor Summary

Constructors
Constructor and Description
`ParsedInsert(CFName name, Attributes.Raw attrs, java.util.List<ColumnDefinition.Raw> columnNames, java.util.List<Term.Raw> columnValues, boolean ifNotExists)` A parsed `INSERT` statement.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected ModificationStatement` `prepareInternal(CFMetaData cfm, VariableSpecifications boundNames, Conditions conditions, Attributes attrs)`

### Methods inherited from class org.apache.cassandra.cql3.statements.ModificationStatement.Parsed

`getColumnDefinition, newRestrictions, prepare, prepare`

### Methods inherited from class org.apache.cassandra.cql3.statements.CFStatement

`columnFamily, keyspace, prepareKeyspace, prepareKeyspace`

### Methods inherited from class org.apache.cassandra.cql3.statements.ParsedStatement

`getBoundVariables, getFunctions, setBoundVariables, setBoundVariables`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ParsedInsert

    public ParsedInsert(CFName name,
                        Attributes.Raw attrs,
                        java.util.List<ColumnDefinition.Raw> columnNames,
                        java.util.List<Term.Raw> columnValues,
                        boolean ifNotExists)

A parsed `INSERT` statement.

Parameters:
  `name` - column family being operated on
  `attrs` - additional attributes for statement (CL, timestamp, timeToLive)
  `columnNames` - list of column names
  `columnValues` - list of column values (corresponds to names)
  `ifNotExists` - true if an IF NOT EXISTS condition was specified, false otherwise

### Method Detail

#### prepareInternal

    protected ModificationStatement prepareInternal(CFMetaData cfm,
                                                    VariableSpecifications boundNames,
                                                    Conditions conditions,
                                                    Attributes attrs)

Specified by:
  `prepareInternal` in class `ModificationStatement.Parsed`